SQLite.Net.Platform.XamarinAndroidN by Guillaume ZAHRA

<PackageReference Include="SQLite.Net.Platform.XamarinAndroidN" Version="3.1.1" />

 SQLite.Net.Platform.XamarinAndroidN 3.1.1

This package is intended to allow the SQLite.Net-PCL Nuget package from Øystein Krog, to be still functionnal with "Android N" with a modified Android Platform provider, since there is no update from this package at the moment. Just replace all your "SQLitePlatformAndroid" objects with "SQLitePlatformAndroidN" instead, and don't forget to reference the latest Mono.Data.Sqlite in your Android project, as this is mandatory in order to use the packaged implementation libsqlite3_xamarin.so by Xamarin. See https://developer.xamarin.com/releases/android/xamarin.android_6/xamarin.android_6.1/#mono-data-sqlite for more info. Xamarin.Android 6.1.0 minimum is required.

<package xmlns="http://schemas.microsoft.com/packaging/2011/08/nuspec.xsd">
  <metadata>
    <id>SQLite.Net.Platform.XamarinAndroidN</id>
    <version>3.1.1</version>
    <authors>Guillaume ZAHRA</authors>
    <requireLicenseAcceptance>false</requireLicenseAcceptance>
    <description>This package is intended to allow the SQLite.Net-PCL Nuget package from Øystein Krog, to be still functionnal with "Android N" with a modified Android Platform provider, since there is no update from this package at the moment.

Just replace all your "SQLitePlatformAndroid" objects with "SQLitePlatformAndroidN" instead, and don't forget to reference the latest Mono.Data.Sqlite in your Android project, as this is mandatory in order to use the packaged implementation libsqlite3_xamarin.so by Xamarin.

See https://developer.xamarin.com/releases/android/xamarin.android_6/xamarin.android_6.1/#mono-data-sqlite for more info.

Xamarin.Android 6.1.0 minimum is required.</description>
    <copyright>Copyright 2016</copyright>
    <tags>SQLite.Net-PCL SQLite.Net SQLite.Net.Platform.XamarinAndroidN SQLite.Net.Platform.XamarinAndroid sqlite monodroid android sql database xamarin</tags>
    <dependencies>
      <dependency id="SQLite.Net-PCL" version="3.1.1" />
    </dependencies>
  </metadata>
</package>